package com.dsk.system.domain;

import com.dsk.common.utils.StringUtils;
import lombok.Data;

/**
 * @author lxl
 * @Description:
 * @Date 2023/5/19 下午 5:58
 **/
@Data
public class BusinessAddDto {

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 用户id
     */
    private Integer userId;

    /**
     * 项目类型
     */
    private String projectType;

    /**
     * 项目类别
     */
    private String projectCategory;

    /**
     * 投资估算
     */
    private String investmentAmount;

    /**
     * 项目阶段
     */
    private String projectStage;

    /**
     * 业主单位
     */
    private String ownerCompany;

    /**
     * 单位id
     */
    private Integer companyId;

    /**
     * 可见范围
     */
    private Integer isPrivate;
    /**
     * 客户id
     */
    private String customerId;

    public Double getInvestmentAmount() {
        return StringUtils.isEmpty(investmentAmount) ? 0 :Double.parseDouble(investmentAmount);
    }
}
